# Method: apps.authorizedCertificates.list

- [HTTP request](https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps.authorizedCertificates/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps.authorizedCertificates/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps.authorizedCertificates/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps.authorizedCertificates/list#body.request_body)
- [Response body](https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps.authorizedCertificates/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps.authorizedCertificates/list#body.ListAuthorizedCertificatesResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps.authorizedCertificates/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps.authorizedCertificates/list#try-it)

Lists all SSL certificates the user is authorized to administer.

### HTTP request

`GET https://appengine.googleapis.com/v1beta/{parent=apps/*}/authorizedCertificates`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Name of the parent `Application` resource. Example: `apps/myapp`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `appengine.applications.get` |

### Query parameters

| Parameters ||
|---|---|
| `view` | ``enum (`https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/AuthorizedCertificateView`)`` Controls the set of fields returned in the `LIST` response. |
| `pageSize` | `integer` Maximum results to return per page. |
| `pageToken` | `string` Continuation token for fetching the next page of results. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:
Response message for `AuthorizedCertificates.ListAuthorizedCertificates`.

| JSON representation |
|---|
| ``` { "certificates": [ { object (`https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps.authorizedCertificates#AuthorizedCertificate`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `certificates[]` | ``object (`https://docs.cloud.google.com/appengine/docs/admin-api/reference/rest/v1beta/apps.authorizedCertificates#AuthorizedCertificate`)`` The SSL certificates the user is authorized to administer. |
| `nextPageToken` | `string` Continuation token for fetching the next page of results. |

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/appengine.admin`
- `
  https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/cloud-platform.read-only`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).